package ass.student;

import java.util.Collection;
import java.util.List;
import java.util.concurrent.Callable;

/**
 * User: jastibor
 * Date: 3/19/13
 * Time: 10:24 AM
 */
public interface WorkerPool {
    <T> List<Future<T>> call(Collection<Callable<T>> callable);
    void runAllBlocking(Collection<Runnable> runnables) throws Exception;
}
